Index: README.wiki
===================================================================
--- README.md	(revision 21)
+++ README.wiki	(revision 24)
@@ -1,4 +1,4 @@
-# Nanown
-
+<h2>Nanown</h2>
+<p>
 A tool for identifying, evaluating, and exploiting timing
 vulnerabilities remotely.  This is part of the output from a research
@@ -6,87 +6,99 @@
 This project is still highly experimental and not particularly easy to
 use at this point.
+</p>
 
-
-# Prerequisites
-
+<h2> Prerequisites</h2>
+<p>
 Linux and Python 3.4+ are required.  Yes, really, your Python needs to
 be that new.  You will also need to install the following modules for
 this version of Python:
-```
+</p>
+<pre>
 requests
 numpy
 netifaces 
 matplotlib
-```
+</pre>
+<p>
 On Debian unstable, you can get these by running:
-```
-apt-get install python3-requests python3-numpy python3-netifaces python3-matplotlib
-```
-If you can't get the appropriate packages from your distro, resort to `pip3`.
-
+</p>
+<pre>
+  apt-get install python3-requests python3-numpy python3-netifaces python3-matplotlib
+</pre>
+<p>
+If you can't get the appropriate packages from your distro, resort to <code>pip3</code>.
+</p><p>
 In addition, you'll need to have a C compiler and the development
 package for libpcap installed.  Under Debian this is probably sufficient:
-```
-apt-get install libpcap-dev gcc
-```
+</p>
+<pre>
+  apt-get install libpcap-dev gcc
+</pre>
 
 
-# Installation
-
+<h2> Installation</h2>
+<p>
 Hah! Funny.
-
+</p><p>
 Currently there's no installation script...
-
+</p><p>
 To attempt to use this code, clone the repository and build the
-`nanown-listen` tool with:
-```
-cd nanown/trunk/src && ./compile.sh
-```
-
-That will drop the `nanown-listen` binary under nanown/trunk/bin.  You
-must then put this directory in your `$PATH` in order to perform any
+<code>nanown-listen</code> tool with:
+</p>
+<pre>
+  cd nanown/trunk/src && ./compile.sh
+</pre>
+<p>
+That will drop the <code>nanown-listen</code> binary under <code>nanown/trunk/bin</code>.  You
+must then put this directory in your <code>$PATH</code> in order to perform any
 data collection.
-
+</p><p>
 To run any of the other scripts, change to the nanown/trunk directory
 and run them directly from there.  E.g.:
-```
-bin/train ...args...
-bin/graph ...args...
-```
+</p>
+<pre>
+  bin/train ...args...
+  bin/graph ...args...
+</pre>
 
 
-# Usage
-
+<h2> Usage</h2>
+<p>
 Our goal for a usage workflow is this:
-
-1. Based on example HTTP requests, and test cases supplied by the user,
+</p>
+<ol>
+<li>Based on example HTTP requests, and test cases supplied by the user,
    a script generator creates a new script.  This new script serves
    as the sample collection script, customized for your web
    application.
-
-2. After collecting samples using the script from step 1, you run a
+</li>
+<li>After collecting samples using the script from step 1, you run a
    mostly automated script to train and test various classifiers on your
    samples.  This will then tell you how many samples you need to
    reliably detect the timing difference.
-
-3. Given the output from step 3 and inputs to step 1, a second script
+</li>
+<li>Given the output from step 3 and inputs to step 1, a second script
    generator creates an attack script for you as a starting point.  You
    customize this and run your attacks.
-
+</li>
+</ol>
+<p>
 Sounds great, yeah?  Well steps 1 and 3 aren't quite implemented yet. =\
-
+</p><p>
 If you are really dying to use this code right now, just make a copy of
-the `trunk/bin/sampler` script and hack on it until it sends HTTP requests
+the <code>trunk/bin/sampler</code> script and hack on it until it sends HTTP requests
 that your targeted web application expects.  Be sure to define the test
 cases appropriately.  Then run it to collect at least
 50,000 samples for each of the train, test and train_null data sets
-(150,000 samples total).  NOTE: Your sampler script must be run as `root`
+(150,000 samples total).  NOTE: Your sampler script must be run as <code>root</code>
 so it can tweak local networking settings and sniff packets.
-
+</p><p>
 Next you can move on to step 2, where you simply run the train script
 against the database created by your sampler script:
-```
-bin/train mysamples.db
-```
+</p>
+<pre>
+  bin/train mysamples.db
+</pre>
+<p>
 This will run for a while.  If you cancel out and re-run it, it will
 pick up where it left off.  Pay special attention to the final results
@@ -94,27 +106,28 @@
 distinguish between the test cases.  Do a little math on your own to
 decide how feasible your overall attack will be.
-
+</p><p>
 Finally, we come to step 3.  If you choose to carry out an attack, you
 will need to implement your own attack script that collects batches of
 samples, distinguishes between them using the best classifier available
 (from step 2) and then repeats as needed.  Consider starting with the
-sample script at `test/blackhat-demo/jregistrate-attack`.
+sample script at <code>test/blackhat-demo/jregistrate-attack</code>.
+</p><p>
+Any questions?  See the source, watch our <a href="https://www.youtube.com/watch?v=k-Pv3sf3G2A">BlackHat presentation</a>, read
+our <a href="https://www.blackhat.com/docs/us-15/materials/us-15-Morgan-Web-Timing-Attacks-Made-Practical-wp.pdf">research paper</a>),
+or <a href="https://code.blindspotsecurity.com/trac/nanown/newticket">post a ticket</a>.
+</p>
 
-Any questions?  See the source, watch our [BlackHat presentation](https://www.youtube.com/watch?v=k-Pv3sf3G2A), read
-our [research paper](https://www.blackhat.com/docs/us-15/materials/us-15-Morgan-Web-Timing-Attacks-Made-Practical-wp.pdf),
-or [post an issue](https://github.com/ecbftw/nanown/issues) on GitHub.
+<h2> License</h2>
+<p>
+Unless otherwise indicated in the source code, this software is licensed under the GNU GPL version 3.  See the LICENSE file for details.
+</p>
 
-
-# License
-
-Unless otherwise indicated in the source code, this software is licensed
-under the GNU GPL version 3.  See the LICENSE file for details.
-
-
-# Contributing
-
+<h2> Contributing</h2>
+<p>
 We certainly welcome and encourage code contributions, no matter how
-small. Currently, this GitHub repository is a mirror of an SVN
-repository. Please don't submit pull requests.  Instead, just contact us
-through the issue tracker and send us a patch if needed.  We may switch
-to git later.
+small.  To submit a patch, please check out the latest revision with:
+</p>
+<pre>  svn co https://code.blindspotsecurity.com/dav/nanown/</pre>
+<p>
+Then apply your changes and run "<code>svn diff</code>".  Save the resulting diff and attach it to a <a href="https://code.blindspotsecurity.com/trac/nanown/newticket">ticket</a>.
+</p>
